Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.exec
Class ExecHandleBuilder

    java.lang.Object
      org.gradle.util.exec.ExecHandleBuilder

    class ExecHandleBuilder
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`ExecHandleBuilder()`
`ExecHandleBuilder(boolean outputDirectFlush)`
`ExecHandleBuilder(File execDirectory)`
`ExecHandleBuilder(java.lang.String execCommand)`
`ExecHandleBuilder(File execDirectory, java.lang.String execCommand)`

Method Summary
`ExecHandleBuilder` | `arguments(java.lang.String arguments)`
`ExecHandleBuilder` | `arguments(java.util.List arguments)`
`ExecHandleBuilder` | `clearArguments()`
`ExecHandleBuilder` | `clearEnvironment()`
`ExecHandleBuilder` | `clearListeners()`
`ExecHandleBuilder` | `environment(java.lang.String key, java.lang.String value)`
`ExecHandleBuilder` | `environment(java.util.Map values)`
`ExecHandleBuilder` | `errorOutput(OutputStream outputStream)`
`ExecHandleBuilder` | `errorOutputHandle(ExecOutputHandle errorOutputHandle)`
`ExecHandleBuilder` | `execCommand(java.lang.String execCommand)`
`ExecHandleBuilder` | `execDirectory(File execDirectory)`
`java.util.List` | `getArguments()`
`java.lang.String` | `getExecCommand()`
`File` | `getExecDirectory()`
`ExecHandle` | `getExecHandle()`
`ExecHandleBuilder` | `inheritEnvironment()`
`ExecHandleBuilder` | `inheritEnvironmentWithKeys(java.lang.String keys)`
`ExecHandleBuilder` | `inheritEnvironmentWithoutKeys(java.lang.String keys)`
`ExecHandleBuilder` | `keepWaitingTimeout(long keepWaitingTimeout)`
`ExecHandleBuilder` | `listeners(ExecHandleListener listeners)`
`ExecHandleBuilder` | `normalTerminationExitCode(int normalTerminationExitCode)`
`ExecHandleBuilder` | `notifierFactory(ExecHandleNotifierFactory notifierFactory)`
`ExecHandleBuilder` | `prependedFileArguments(java.lang.String prefix, java.util.List arguments)`
`ExecHandleBuilder` | `prependedStringArguments(java.lang.String prefix, java.util.List arguments)`
`ExecHandleBuilder` | `standardOutput(OutputStream outputStream)`
`ExecHandleBuilder` | `standardOutputHandle(ExecOutputHandle standardOutputHandle)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### ExecHandleBuilder

    public ExecHandleBuilder()

### ExecHandleBuilder

    public ExecHandleBuilder(boolean outputDirectFlush)

### ExecHandleBuilder

    public ExecHandleBuilder(File execDirectory)

### ExecHandleBuilder

    public ExecHandleBuilder(java.lang.String execCommand)

### ExecHandleBuilder

    public ExecHandleBuilder(File execDirectory, java.lang.String execCommand)

Method Detail

### arguments

    public ExecHandleBuilder arguments(java.lang.String arguments)

### arguments

    public ExecHandleBuilder arguments(java.util.List arguments)

### clearArguments

    public ExecHandleBuilder clearArguments()

### clearEnvironment

    public ExecHandleBuilder clearEnvironment()

### clearListeners

    public ExecHandleBuilder clearListeners()

### environment

    public ExecHandleBuilder environment(java.lang.String key, java.lang.String value)

### environment

    public ExecHandleBuilder environment(java.util.Map values)

### errorOutput

    public ExecHandleBuilder errorOutput(OutputStream outputStream)

### errorOutputHandle

    public ExecHandleBuilder errorOutputHandle(ExecOutputHandle errorOutputHandle)

### execCommand

    public ExecHandleBuilder execCommand(java.lang.String execCommand)

### execDirectory

    public ExecHandleBuilder execDirectory(File execDirectory)

### getArguments

    public java.util.List getArguments()

### getExecCommand

    public java.lang.String getExecCommand()

### getExecDirectory

    public File getExecDirectory()

### getExecHandle

    public ExecHandle getExecHandle()

### inheritEnvironment

    public ExecHandleBuilder inheritEnvironment()

### inheritEnvironmentWithKeys

    public ExecHandleBuilder inheritEnvironmentWithKeys(java.lang.String keys)

### inheritEnvironmentWithoutKeys

    public ExecHandleBuilder inheritEnvironmentWithoutKeys(java.lang.String keys)

### keepWaitingTimeout

    public ExecHandleBuilder keepWaitingTimeout(long keepWaitingTimeout)

### listeners

    public ExecHandleBuilder listeners(ExecHandleListener listeners)

### normalTerminationExitCode

    public ExecHandleBuilder normalTerminationExitCode(int normalTerminationExitCode)

### notifierFactory

    public ExecHandleBuilder notifierFactory(ExecHandleNotifierFactory notifierFactory)

### prependedFileArguments

    public ExecHandleBuilder prependedFileArguments(java.lang.String prefix, java.util.List arguments)

### prependedStringArguments

    public ExecHandleBuilder prependedStringArguments(java.lang.String prefix, java.util.List arguments)

### standardOutput

    public ExecHandleBuilder standardOutput(OutputStream outputStream)

### standardOutputHandle

    public ExecHandleBuilder standardOutputHandle(ExecOutputHandle standardOutputHandle)

Groovy Documentation